For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
ContactLearn More
GuidesReferenceSamplesLicenseChangelog
GuidesReferenceSamplesLicenseChangelog
  • SDKs
    • Overview
  • REST
      • GETList objects
      • GETList locally-deleted force-distributed objects
      • GETGet object
      • POSTUpload object
      • DELDelete object
      • HEADGet object metadata
  • gRPC
ContactLearn More
RESTObjects

Get object metadata

Beta
HEAD
https://example.developer.anduril.com/api/v1/objects/:objectPath
HEAD
/api/v1/objects/:objectPath
$curl -X HEAD https://example.developer.anduril.com/api/v1/objects/objectPath \
> -H "Authorization: Bearer <token>"
1{}

Returns metadata for a specified object path. Use this to fetch metadata such as object size (size_bytes), its expiry time (expiry_time), or its latest update timestamp (last_updated_at).

Was this page helpful?
Previous

Get OAuth2 token

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

objectPathstringRequiredformat: "^[a-zA-Z0-9/_=\-.]*$"
The path of the object to query.

Response headers

Pathstring
Checksumstring
Content-Lengthinteger
Last-Modifiedstring
Expiresstring

Response

Successful operation

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error